package com.muchinfo.mtp3interface.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.muchinfo.mtp3pojos.entity.CptradePositionapply;
import com.muchinfo.mtp3pojos.vo.presale.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 远期订单申请表 Mapper 接口
 * </p>
 *
 * @author XKF
 * @since 2024-11-25
 */
@Mapper
public interface ICptradePositionapplyMapper extends BaseMapper<CptradePositionapply> {

    IPage<ForwardOrderApplyResult> queryForward(IPage<ForwardOrderApplyResult> page, @Param("vo") ForwardOrderApplyParam param);

    List<ForwardOrderApplyResult> queryForward(@Param("vo") ForwardOrderApplyParam param);

    IPage<ForwardOrderQueryResult> queryOrder(IPage<ForwardOrderQueryResult> page, @Param("vo") ForwardOrderQueryParam param);

    IPage<ForwardCancelApplyResult> queryCancelApply(IPage<ForwardCancelApplyResult> page, @Param("vo") ForwardCancelApplyParam param);

    List<ForwardCancelApplyResult> queryCancelApply(@Param("vo") ForwardCancelApplyParam param);

    ForwardAddOtherInit queryDRelation(@Param("goodid") Long goodid);

    List<ForwardCancelApplyInit> cancelApplyAddInit(@Param("accountid") Long accountid);
}
